Bug 1813420 - [4.3] CI: deployment error: more unauth image pulls with image change triggers
Summary: [4.3] CI: deployment error: more unauth image pulls with image change triggers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: openshift-controller-manager
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.3.z
Assignee: Gabe Montero
QA Contact: wewang
URL:
Whiteboard:
Depends On: 1813419
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-13 18:38 UTC by Gabe Montero
Modified: 2020-05-11 21:20 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: the local ref setting on imagestreams can be ignored if imagestream access occurs very soon after cluster startup or restart of the openshift controller manager because the openshift controller manager might have stale imagestreams its cache with incomplete metadata Consequence: if the imagestream was backed by a private registry which the internal image registry had credentials for, but the consumer did not have credentials for, the subsequent image pull would fail Fix: the openshift controller manager was updated to refresh its imagestream cache if it was apparent the metadata initialization was incomplete Result: local ref imagestream policy is preserved even during the timing windows that occur immediately after cluster start or openshift controller manager restart
Clone Of: 1813361
Environment:
Last Closed: 2020-05-11 21:20:39 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift openshift-controller-manager pull 75 None closed [release-4.3] Bug 1813420: fix img reg ref on ICT if OCM knows img reg host before apiserver 2020-05-06 00:48:57 UTC
Red Hat Product Errata RHBA-2020:2006 None None None 2020-05-11 21:20:54 UTC

Comment 1 Gabe Montero 2020-03-19 15:20:24 UTC
PR https://github.com/openshift/openshift-controller-manager/pull/75 is up but we have bugzilla bot hoopla complaining about the dependent bug being 4.5 instead of 4.4

Comment 4 wewang 2020-05-06 05:43:10 UTC
Checked job which include build passed, especially 
[Feature:Builds][Conformance] oc new-app [Top Level] [Feature:Builds][Conformance] oc new-app should succeed with a --name of 58 characters [Suite:openshift/conformance/parallel/minimal]

job:
https://prow.svc.ci.openshift.org/view/gcs/origin-ci-test/pr-logs/pull/openshift_openshift-controller-manager/75/pull-ci-openshift-openshift-controller-manager-release-4.3-e2e-gcp-builds/7

Comment 6 errata-xmlrpc 2020-05-11 21:20:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2006


Note You need to log in before you can comment on or make changes to this bug.